package org.objectweb.jonas.jtests.beans.ejbql;

import java.util.Collection;

import javax.ejb.FinderException;

// Reservation EJB's local home interface
public interface ReservationHomeLocal extends javax.ejb.EJBLocalHome {

    public ReservationLocal create(Integer cruise, Collection customers)
                      throws javax.ejb.CreateException;

    public ReservationLocal findByPrimaryKey(Object primaryKey)
                      throws javax.ejb.FinderException;

    public Collection findAllReservations()  throws FinderException;
    
    public Collection findOrderedRsrv()  throws FinderException;

}
